package org.omg.CORBA;

import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class DoubleHolder implements Streamable
{
    public double value;
    
    public DoubleHolder() {
    }
    
    public DoubleHolder(double value) {
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = inputStream.read_double();
    }
    
    public void _write(OutputStream outputStream) {
        outputStream.write_double(this.value);
    }
    
    public TypeCode _type() {
        return ORB.init().get_primitive_tc(TCKind.tk_double);
    }
}
